package com.bzd.system.service.xsgl;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 门店零售日报表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SXsglMdlsSalesinventoryinfoService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSXsglMdlsSalesinventoryinfo(PageData pd)throws Exception {
        return daoSupport.update("SXsglMdlsSalesinventoryinfoMapper.addSXsglMdlsSalesinventoryinfo", pd);
    }

    public List<PageData> findSXsglMdlsSalesinventoryinfoList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SXsglMdlsSalesinventoryinfoMapper.selectSXsglMdlsSalesinventoryinfoList", pd);
    }

    public Integer SXsglMdlsSalesinventoryinfoRemove(PageData pd)throws Exception {
        return daoSupport.delete("SXsglMdlsSalesinventoryinfoMapper.SXsglMdlsSalesinventoryinfoRemove", pd);
    }


    public Integer updateSXsglMdlsSalesinventoryinfo(PageData pd)throws Exception {
        return daoSupport.update("SXsglMdlsSalesinventoryinfoMapper.updateSXsglMdlsSalesinventoryinfo", pd);
    }

}
